---
title: PasswordCredential.iconURL
slug: Web/API/PasswordCredential/iconURL
tags:
  - API
  - Credential Management API
  - NeedsExample
  - PasswordCredential
  - Property
  - Reference
  - credential management
---
<p>{{SeeCompatTable}}{{APIRef("")}}</p>

<p><span class="seoSummary">The <strong><code>iconURL</code></strong> read-only property of the {{domxref("PasswordCredential")}} interface returns a {{domxref("USVString")}} containing a URL pointing to an image for an icon. This image is intended for display in a credential chooser. The URL must be accessible without authentication.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>url</em> =<em>passwordCredential</em>.iconURL</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}} containing a URL.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Credential Management','#dom-credentialuserdata-iconurl','iconURL')}}</td>
   <td>{{Spec2('Credential Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PasswordCredential.iconURL")}}</p>
